<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_6596b8f6a4969f9" . "a3f6a1b22b90e933" . "1" => base64_decode("c3Bya" . "W50Zg" . "=="), "_835783a34" . "0b626fa250" . "ace4c8d824" . "9f7" => base64_decode("VW5hYmxlIHRvIGNhc3" . "QgJw=="), "_5a13027a56ff426a18806baf1e5" . "3ce74" => base64_decode("Q29uZmlnVmFsdWUgJw=" . "="), "_490fedd0c33685bd3a92a23dfbd" . "be38c" => base64_decode("JyBDb25maWdWYWx1ZSB0byBzd" . "HJpbmc="), "_44b97fb00c5dc6204a" . "2e8b46429ce109" => base64_decode("aXNfc3RyaW5nYWJsZ" . "Q=="), "_3758af61" . "703edea17" . "ee38fab15" . "f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4gaW5zdGFuY2Ugb2YgV3JpdGFibGVDb" . "25maWc="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5a13027a56ff426a18806baf1e53" . "ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3758af61703edea17ee38f" . "ab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_44b97fb00c5dc6204a2e8b4642" . "9ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_835783a340b626f" . "a250ace4c8d8249f" . "7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_490fedd0c33685bd3a92a23" . "dfbdbe38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6596b8f6a4969f9a3f6a1b22b90e9" . "331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}